#
# RPM Spec for Python Flask
#

%define short	flask
Name:		%{_pscheduler_python}-%{short}
Version:	1.1.1
Release:	1%{?dist}
Summary:	A micro-framework for Python based on Werkzeug, Jinja 2 and good intentions
BuildArch:	noarch
License:	BSD
Group:		Development/Libraries

Provides:	%{name} = %{version}-%{release}
Prefix:		%{_prefix}

Vendor:		Pallets Projects
URL:		https://palletsprojects.com/p/flask

Source:		%{short}-%{version}.tar.gz

Requires:	%{_pscheduler_python}

%if 0%{?el7}
Requires:	%{_pscheduler_python_epel}-click
Requires:	%{_pscheduler_python_epel}-jinja2
%endif
%if 0%{?el8}%{?el9}
Requires:	%{_pscheduler_python}-click
Requires:	%{_pscheduler_python}-jinja2
%endif

Requires:	%{_pscheduler_python}-itsdangerous
Requires:	%{_pscheduler_python}-werkzeug

BuildRequires:	%{_pscheduler_python}
BuildRequires:	%{_pscheduler_python}-setuptools


%if 0%{?el8}%{?el9}
# EL8/EL9's auto dependency scanner wants /bin/python3, which nothing provides.
AutoReqProv: no
%endif

%description
Flask is called a “micro-framework” because the idea to keep the core
simple but extensible. There is no database abstraction layer, no form
validation or anything else where different libraries already exist
that can handle that. However Flask knows the concept of extensions
that can add this functionality into your application as if it was
implemented in Flask itself. There are currently extensions for object
relational mappers, form validation, upload handling, various open
authentication technologies and more.



# Don't do automagic post-build things.
%global              __os_install_post %{nil}


%prep
%setup -q -n %{short}-%{version}


%build
%{_pscheduler_python} setup.py build


%install
%{_pscheduler_python} setup.py install \
    --root=$RPM_BUILD_ROOT \
    --single-version-externally-managed \
    -O1 \
    --record=INSTALLED_FILES


%clean
rm -rf $RPM_BUILD_ROOT


%files -f INSTALLED_FILES
%defattr(-,root,root)
